Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.encoding.soapenc
Class EncUtils

    java.lang.Object
      |
      +--oracle.soap.encoding.soapenc.EncUtils

public class EncUtils
extends java.lang.Object

This class contains ser/deser utilities used by Oracle SOAP.

Constructor Summary
`EncUtils()`

Method Summary
`static java.lang.Object[]` | `mapArrayInbuiltToWrapper(java.lang.Class argType, java.lang.Object arg)` This util method maps an array of inbuilt type to an array of wrapper type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncUtils

    public EncUtils()

Method Detail

### mapArrayInbuiltToWrapper

    public static java.lang.Object[] mapArrayInbuiltToWrapper(java.lang.Class argType,
                                                              java.lang.Object arg)

  This util method maps an array of inbuilt type to an array of wrapper type. If the argType is a class representing wrapper one dimensional array and the arg is an instance of one dimensional array of the corresponding inbuilt type, then this method will create a new array of wrapper type of the same size and populate it with the corresponding wrapper type values and return this new array. Only one-dimensional arrays are supported. The mapping is as follows: byte[] -> Byte[] char[] -> Character[] boolean[] -> Boolean[] short[] -> Short[] int[] -> Integer[] long[] -> Long[] float[] -> Float[] double[] -> Double[] If any of the above condition is not satisfied then a null is returned.
  Parameters:
    `argType` - class representing one dimensional array of wrapper type
    `arg` - an instance of a one dimensional array of inbuilt type
  Returns:
    if arg is an instance of a one dimensional array of inbuilt type and argType is a class representing the corresponding wrapper one dimensional array then a new array whose component type is the corresponding one dimensional wrapper type and which has the corresponding wrapper type values populated. Else null.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.